import { Minus } from "react-feather"

import CheckCircle from "@/components/Icons/CheckCircle"

import styles from "./rewardValue.module.css"

import type { RewardValueProps } from "@/types/components/overviewTable"

export default function RewardValue({ reward }: RewardValueProps) {
  if (!reward) {
    return <Minus color="var(--UI-Grey-40)" />
  }
  if (!reward.value) {
    return <CheckCircle height={32} width={32} color="green" />
  }
  return (
    <div className={styles.rewardValueContainer}>
      <span className={styles.rewardValue}>{reward.value}</span>
    </div>
  )
}
